Name:		perl-Net-Netmask
Version:	1.9011
Release:	alt2
Summary:	perl Net::Netmask
License:	GPL
Group:		Networking/Mail
Packager:	Denis Ovsienko <pilot@altlinux.ru>
Source:		Net-Netmask-%version.tar.gz
BuildArch:	noarch
BuildRequires:	perl-devel

%description
Net::Netmask parses and understands IPv4 CIDR blocks. It's built with an
object-oriented interface. Nearly all functions are methods that operate on a
Net::Netmask object. There are methods that provide the nearly all bits of
information about a network block that you might want. There are also functions
to put a network block into a table and then later lookup network blocks by IP
address in that table. There are functions to turn a IP address range into a
list of CIDR blocks. There are functions to turn a list of CIDR blocks into a
list of IP addresses. There is a function for sorting by text IP address.

%prep
%setup -n Net-Netmask-%version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%perl_vendor_privlib/Net/*
%doc CHANGELOG README

%changelog
* Tue Apr 05 2005 Denis Ovsienko <pilot@altlinux.ru> 1.9011-alt2
- spec cleanup

* Fri Mar 25 2005 Denis Ovsienko <pilot@altlinux.ru> 1.9011-alt1
- initial ALTLinux build
